Bug 760364 - After using the "Hibernate" option in KDE, kernel errors appear at boot time.
After using the "Hibernate" option in KDE, kernel errors appear at boot time.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kernel_hibernate
  Show dependency treegraph
 
Reported: 2011-12-05 17:06 EST by Ignat Semenov
Modified: 2012-09-04 10:32 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-04 10:32:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
The kernel error screen. (4.29 MB, image/jpeg)
2011-12-05 17:09 EST, Ignat Semenov
no flags Details

  None (edit)
Description Ignat Semenov 2011-12-05 17:06:36 EST
Several days ago I used the "Hibernate" option in KDE in order to hibernate my machine. The next time I booted Fedora, I got a kernel error. Photo attached. However, after hitting Ctrl+D, I could boot into the desktop. The system seems to be working fine. However, the error appears every time at boot now, and every time I hit Ctrl+D and continue booting normally.

I'm not sure, but I think that the machine did not resume from the hibernation (black screen), so I may have had to use the hard reset option to force a restart. This may have caused some disk errors. But anyway, the fact that the machine did not recover from hibernation is not expected behavior either.
Comment 1 Ignat Semenov 2011-12-05 17:09:21 EST
Created attachment 541095 [details]
The kernel error screen.
Comment 2 Dave Jones 2011-12-06 10:09:22 EST
the messages will continue to happen until you run fsck on the partitions that need fixing.
Comment 3 Ignat Semenov 2011-12-06 12:05:45 EST
Indeed they will appear. But the fact is, that the system should resume without any problems after hibernation and thus leave the partitions intact.

As far as fsck'ing the partitions goes, I've tried to use the Fedora LiveUSB for that purpose (no working CD/DVD drive), but it failed to boot, which I've filed as a different bug.
Comment 4 Ignat Semenov 2011-12-06 12:17:25 EST
Also, why does the error message read "Fedora15"? I have Fedora 16 installed. Maybe this is a preupgrade artifact?
Comment 5 Ignat Semenov 2011-12-07 13:31:55 EST
IS there any information on this? In particular, why did the system not resume from hibernation correctly?
Comment 6 Dave Jones 2012-03-22 12:46:47 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 7 Dave Jones 2012-03-22 12:51:23 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 8 Dave Jones 2012-03-22 13:01:54 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 9 Josh Boyer 2012-03-28 13:59:59 EDT
[Mass hibernate bug update]

Dave Airlied has found an issue causing some corruption in the i915 fbdev after a resume from hibernate.  I have included his patch in this scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3940545

This will probably not solve all of the issues being tracked at the moment, but it is worth testing when the build completes.  If this seems to clear up the issues you see with hibernate, please report your results in the bug.

Note You need to log in before you can comment on or make changes to this bug.